php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #59142 Cannot get the extension to be packaged
Submitted: 2010-03-31 16:28 UTC Modified: 2017-04-01 19:39 UTC
From: dkreuer at kremedia dot de Assigned:
Status: Wont fix Package: cairo_wrapper (PECL)
PHP Version: 5.3.2 OS: Debian 5.0 Lenny
Private report: No CVE-ID: None
Have you experienced this issue?
Rate the importance of this bug to you:

 [2010-03-31 16:28 UTC] dkreuer at kremedia dot de
Description:
------------
I have tried to build a debian package for Debian 5.0 Lenny (amd-64). Compilation works but packaging fails with the following message:

install: cannot stat 'tmp/modules5/cairo-wrapper.so': No such file or directory

I've used dh-make-pecl and ./debian/rules binary for compilation.

Reproduce code:
---------------
pecl download cairo_wrapper-0.2.4
dh-make-pecl --only 5 cairo-wrapper-0.2.4.tgz
cd ./php-cairo-wrapper-0.2.4
./debian/rules binary

Expected result:
----------------
Compiled debian package in parent directory

Actual result:
--------------
install: cannot stat 'tmp/modules5/cairo-wrapper.so': No such file or directory
make: *** [install-v5] Error 1

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2010-03-31 16:30 UTC] dkreuer at kremedia dot de
(Updated version because release version 5.3.2 was not selectable in dropdown)
 [2017-04-01 19:39 UTC] tpunt@php.net
-Status: Open +Status: Wont fix
 [2017-04-01 19:39 UTC] tpunt@php.net
Due to this extension not seeing any activity since 2008, this issue will not be fixed. We are therefore closing this now.
 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Tue May 21 01:01:27 2019 UTC